/*one of the forms of the continuum escape probability */
#include "cddefines.h"
#include "chnukt.h"
#include "conrec.h"

double conrec(double x)
{
	double conrec_v;

#	ifdef DEBUG_FUN
	fputs( "<+>conrec()\n", debug_fp );
#	endif

	conrec_v = exp(-chnukt.ContTkt*(x-1.))/x;

#	ifdef DEBUG_FUN
	fputs( " <->conrec()\n", debug_fp );
#	endif
	return( conrec_v );
}

