/* fillnu.h */
/* this is information needed to set the energy binning,
 * full continuum is described by series of ranges where resolution is
 * constant over that range */
#define	NFILL	20L /* limit to number of ranges */

EXTERN struct t_fillnu {
	float filbnd[NFILL + 1], 
	  fildel[NFILL], 
	  filres[NFILL];
	long int ifill0[NFILL], 
	  nrange; /*number of ranges entered for this continuum source*/
	}	fillnu;

