/*
 *limits for highest and lowest stages of ionization in TrimStages,
 * these are set with command "set trim xx" where xx is log of upper
 * and lower ionization fractions.  if only one number then both are
 * set to it.  These variables are used in trimStages to adjust the
 * range of ionization.  
 */
EXTERN struct t_trimstg {
	/* limit to fractional abundance of high stage of ionization,
	 * set to 1e-6 in zero.c */
	double trimhi, 
	/* limit to fractional abundance of low stage of ionization,
	 * set to 1e-10 in zero.c */
	  trimlo;
	}	trimstg;

