/* incidspec.h */
/*
 *     parameters to do with incident continuum
 *
 *     limit to number of spectra that can be entered
 */
#define	LIMSPC	10

EXTERN struct t_IncidSpec {
	float totpow[LIMSPC], 
	  slope[LIMSPC], 
	  cutoff[3][LIMSPC], 
	  spfac[LIMSPC];
	long int nspec, 
	  ipspec;
	float tnu[NCELL][LIMSPC], 
	  tslop[NCELL][LIMSPC], 
	  tfac[NCELL][LIMSPC], 
	  range[2][LIMSPC];
	}	IncidSpec;
EXTERN struct t_spnorm {
	char chSpNorm[LIMSPC][5], 
	  chRSpec[LIMSPC][5], 
	  chSpType[LIMSPC][6];
	/* pointer to file for table read command, only 1 possible */
	FILE *ioTableRead[LIMSPC];
	}	spnorm;

/*
 *
 *range for particular continuum source
 *
 *
 *     chSpNorm says how spectrum was normlized - are or lum
 *     chrspec says whether per unit anea or tot 4 pi
 */
