/*opacz zero out opacity save arrays, save old opacity in OldOpacSave array */
#include "cddefines.h"
#include "opac.h"
#include "opacz.h"

void opacz(void)
{
	long int i;

#	ifdef DEBUG_FUN
	fputs( "<+>opacz()\n", debug_fp );
#	endif


	for( i=0; i < NCELL; i++ )
	{
		opac.scatop[i] = 0.;
		/* save the current opacities */
		opac.OldOpacSave[i] = opac.opac[i];
		opac.opac[i] = 0.;
	}

	/* only zero out the static array if we are going to
	 * totally redo the static part */
	if( opac.lgRedoStatic )
	{
		for( i=0; i < NCELL; i++ )
		{
			opac.OpacStatic[i] = 0.;
		}
	}

#	ifdef DEBUG_FUN
	fputs( " <->opacz()\n", debug_fp );
#	endif
	return;
}

/* set old opac array to current versin during search phase */
void opaczOld(void)
{
	long int i;

#	ifdef DEBUG_FUN
	fputs( "<+>opaczOld()\n", debug_fp );
#	endif


	for( i=0; i < NCELL; i++ )
	{
		/* save the current opacities */
		opac.OldOpacSave[i] = opac.opac[i];
	}

#	ifdef DEBUG_FUN
	fputs( " <->opaczOld()\n", debug_fp );
#	endif
	return;
}

